=== debian/control ===
Source: linux-signed-amd64
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), python3:any, sbsigntool [amd64 arm64]
Build-Depends-Arch: kernel-wedge (>= 2.105~) [amd64] <!pkg.linux.nokernel>, kmod [amd64] <!pkg.linux.nokernel>, linux-image-6.18-amd64-unsigned (= 6.18~rc7-1~exp1) [amd64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18-cloud-amd64-unsigned (= 6.18~rc7-1~exp1) [amd64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18-rt-amd64-unsigned (= 6.18~rc7-1~exp1) [amd64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.18-test-unsigned (= 6.18~rc7-1~exp1) [amd64] <pkg.linux.quick !pkg.linux.nokernel>, rsync [amd64] <!pkg.linux.nokernel>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-image-6.18-amd64
Architecture: amd64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64], kmod, linux-base-6.18-amd64 (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [amd64]
Suggests: debian-kernel-handbook, firmware-linux-free, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64], linux-doc-6.18
Replaces: linux-image-6.18-amd64-unsigned
Breaks: fwupdate (<< 12-7) [amd64], initramfs-tools (<< 0.120+deb8u2) [amd64], wireless-regdb (<< 2019.06.03-1~) [amd64]
Conflicts: linux-image-6.18-amd64-unsigned
Description: Linux 6.18-rc7 for 64-bit PCs (signed)
 The Linux kernel 6.18-rc7 and modules for use on PCs with AMD64, Intel 64
 or VIA Nano processors.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.18-cloud-amd64
Architecture: amd64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64], kmod, linux-base-6.18-cloud-amd64 (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [amd64]
Suggests: debian-kernel-handbook, firmware-linux-free, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64], linux-doc-6.18
Replaces: linux-image-6.18-cloud-amd64-unsigned
Breaks: fwupdate (<< 12-7) [amd64], initramfs-tools (<< 0.120+deb8u2) [amd64], wireless-regdb (<< 2019.06.03-1~) [amd64]
Conflicts: linux-image-6.18-cloud-amd64-unsigned
Description: Linux 6.18-rc7 for x86-64 cloud (signed)
 The Linux kernel 6.18-rc7 and modules for use on cloud platforms including
 Amazon EC2, Microsoft Azure, and Google Compute Engine.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.18-rt-amd64
Architecture: amd64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64], kmod, linux-base-6.18-rt-amd64 (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [amd64]
Suggests: debian-kernel-handbook, firmware-linux-free, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64], linux-doc-6.18
Replaces: linux-image-6.18-rt-amd64-unsigned
Breaks: fwupdate (<< 12-7) [amd64], initramfs-tools (<< 0.120+deb8u2) [amd64], wireless-regdb (<< 2019.06.03-1~) [amd64]
Conflicts: linux-image-6.18-rt-amd64-unsigned
Description: Linux 6.18-rc7 for 64-bit PCs (signed), PREEMPT_RT
 The Linux kernel 6.18-rc7 and modules for use on PCs with AMD64, Intel 64
 or VIA Nano processors.
 .
 The kernel image is signed for use with Secure Boot.
 .
 This kernel is configured with PREEMPT_RT real time support.

Package: linux-image-6.18-test
Architecture: amd64
Build-Profiles: <pkg.linux.quick !pkg.linux.nokernel>
Built-Using: linux (= 6.18~rc7-1~exp1)
Pre-Depends: linux-base (>= 4.12~)
Depends: initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64], kmod, linux-base-6.18-test (= 6.18~rc7-1~exp1), ${misc:Depends}
Recommends: apparmor [amd64]
Suggests: debian-kernel-handbook, firmware-linux-free, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64], linux-doc-6.18
Replaces: linux-image-6.18-test-unsigned
Breaks: fwupdate (<< 12-7) [amd64], initramfs-tools (<< 0.120+deb8u2) [amd64], wireless-regdb (<< 2019.06.03-1~) [amd64]
Conflicts: linux-image-6.18-test-unsigned
Description: Linux 6.18-rc7 for  (signed)
 The Linux kernel 6.18-rc7 and modules for use on .
 .
 The kernel image is signed for use with Secure Boot.

Package: ata-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: ata-modules
Depends: kernel-image-6.18-amd64-di, scsi-core-modules-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: ATA disk modules
 This package contains core ATA disk modules used by both PATA and SATA
 disk drivers.

Package: btrfs-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: btrfs-modules
Depends: kernel-image-6.18-amd64-di, md-modules-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.

Package: cdrom-core-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: cdrom-core-modules
Depends: kernel-image-6.18-amd64-di, scsi-core-modules-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: CDROM support
 This package contains core CDROM support for the kernel.

Package: crypto-dm-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: crypto-dm-modules
Depends: kernel-image-6.18-amd64-di, md-modules-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: devicemapper crypto module
 This package contains the devicemapper crypto (dm-crypt) module.

Package: crypto-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: crypto-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: crypto modules
 This package contains crypto modules.

Package: drm-core-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: drm-core-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: Frame buffer support
 This package contains core DRM modules for the kernel.

Package: ext4-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: ext2-modules, ext3-modules, ext4-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.

Package: f2fs-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: f2fs-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: f2fs filesystem support
 This package contains the f2fs (Flash-Friendly Filesystem) module.

Package: fat-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: fat-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: FAT filesystem support
 This package contains the FAT and VFAT filesystem modules for the kernel.

Package: fb-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: fb-modules
Depends: drm-core-modules-6.18-amd64-di, input-modules-6.18-amd64-di, kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: Frame buffer support
 This package contains Frame buffer drivers for the kernel.

Package: firewire-core-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: firewire-core-modules
Depends: kernel-image-6.18-amd64-di, scsi-core-modules-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: Core FireWire drivers
 This package contains core FireWire drivers for the kernel.

Package: input-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: input-modules
Depends: kernel-image-6.18-amd64-di, rfkill-modules-6.18-amd64-di, usb-modules-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: Input devices support
 This package contains input device drivers for the kernel.

Package: isofs-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: isofs-modules
Depends: cdrom-core-modules-6.18-amd64-di, kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

Package: jfs-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: jfs-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: JFS filesystem support
 This package contains the JFS filesystem module for the kernel.

Package: kernel-image-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: efi-modules, kernel-image
Kernel-Version: 6.18-amd64
Description: Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your
 full Debian system.

Package: loop-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: loop-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.

Package: md-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: md-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: RAID and LVM support
 This package contains RAID and LVM modules for the kernel.

Package: mmc-core-modules-6.18-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: mmc-core-modules
Depends: kernel-image-6.18-amd64-di
Kernel-Version: 6.18-amd64
Description: MMC/SD/SDIO core modules
