## linux-signed-amd64 6.18.2+1~exp1

=== debian/changelog ===
linux-signed-amd64 (6.18.2+1~exp1) experimental; urgency=medium

  * Sign kernel from linux 6.18.2-1~exp1

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.18.2

  [ Uwe Kleine-König ]
  * Make dracut the preferred initramfs generator.

  [ John Paul Adrian Glaubitz ]
  * [alpha] Add patch to update uapi headers for glibc >= 2.42

  [ Salvatore Bonaccorso ]
  * [arm64,armhf] clk: samsung: exynos-clkout: Assign .num before accessing .hws
    (Closes: #1121211)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Dec 2025 20:23:43 +0100

linux (6.18.1-1~exp1) experimental; urgency=medium

  * New upstream release: https://kernelnewbies.org/Linux_6.18
    - xsk: avoid data corruption on cq descriptor number (Closes: #1118437)
    - iio: accel: bmc150: Fix irq assumption regression (Closes: #1106411)
  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.18.1

  [ Ben Hutchings ]
  * Add 'c_' prefix to compiler configuration field and variables
  * module: Disable MODVERSIONS, MODULE_ALLOW_BTF_MISMATCH
  * d/l/p/debian_linux/debian.py: Allow adding restrictions to
    PackageRelationGroup
  * Implement configuration for Rust compiler and other build-dependencies
  * d/rules.real: Set KRUSTFLAGS and HOSTRUSTFLAGS to make filenames relative
  * [amd64,arm64,armhf,loong64,riscv64] Enable building Rust drivers and
    features:
    - Enable RUST, RUST_OVERFLOW_CHECKS
    - Build-Depend on bindgen, rustc, and rust-src
    - firmware: Enable RUST_FW_LOADER_ABSTRACTIONS
    - net/phy: Enable drivers written in Rust:
      + Change PHYLIB from module to built-in
      + Enable RUST_PHYLIB_ABSTRACTIONS
      + Eable AMCC_QT2025_PHY as module, and AX88796B_RUST_PHY
    - drm: Enable panic QR codes:
      + Enable DRM_PANIC and DRM_PANIC_SCREEN_QR_CODE (Closes: #1121937)
      + Set DRM_PANIC_SCREEN="qr_code"
      + Point DRM_PANIC_SCREEN_QR_CODE_URL at a Debian-hosted decoder

  [ Bastian Blank ]
  * Install vdso files if available.
  * Move dtb into modules directory.
  * Convert doc to symlink in linux-libc-dev-*-cross.
  * Split modules out of kernel-image udeb.

  [ Salvatore Bonaccorso ]
  * [amd64] drivers/accel/amdxdna: Enable DRM_ACCEL_AMDXDNA as module
    (Closes: #1114868)
  * ipv6: clear RA flags when adding a static route (Closes: #1117959)
  * d/b/stable-update: Use linux_version_full to get current full version
  * [amd64] drivers/spi: Enable SPI_AMD as module (Closes: #1122853)

  [ Maxwell Pevner ]
  * drivers/hid: Enable HID_UNIVERSAL_PIDFF as module (Closes: #1122144)

  [ Shawn Guo ]
  * [arm64] Enable BATTERY_LENOVO_YOGA_C630 as module

 -- Bastian Blank <waldi@debian.org>  Mon, 15 Dec 2025 16:03:51 +0100
